:: $1 should be the collection name
:: $2 should be the oai URL
:: $3 should be the cache directory
:: $4 should be the max records
:: $5 should be the OAI metadata prefix
:: $6 should be GS3 root
:: $7 should be the collection directory
:: $8 should be the log file
:: %9 should be the creator
:: %10 should be the proxy settings

SET COL_NAME=%1
SET OAI_URL=%2
SET CACHE_DIR=%3
SET MAX_RECORDS=%4
SET OAI_PREFIX=%5
SET GS3_ROOT=%6
SET COL_DIR=%7
SET LOG_FILE=%8
SET CREATOR=%9
::SHIFT
::SET PROXY=%9

DEL %LOG_FILE%
cd %GS3_ROOT%
CALL gs3-setup.bat

cd gs2build/
CALL setup.bat

cd bin/script/

perl -S mkcol.pl -gs3mode -buildtype lucene -collectdir %COL_DIR% %COL_NAME%

:: need to ensure that OAIPLUG is included
:: hack the model collection to inclde it
echo %COL_NAME% %OAI_URL% %CACHE_DIR% %MAX_RECORDS% %OAI_PREFIX% %GS3_ROOT% %COL_DIR% %LOG_FILE% >> %LOG_FILE%

if not exist %CACHE_DIR% goto else
RMDIR /S /Q  %CACHE_DIR%
goto endif
:else 
md %CACHE_DIR%
:endif

echo "Away to download OAI" >> %LOG_FILE%

echo %CREATOR%

SET _CREATOR=%CREATOR%

SET _CREATOR=###%_CREATOR%###
SET _CREATOR=%_CREATOR:"###=%
SET _CREATOR=%_CREATOR:###"=%
SET _CREATOR=%_CREATOR:###=%

echo "Away to run downloadfrom.pl with %_CREATOR%"
  
perl downloadfrom.pl -download_mode OAI -cache_dir %CACHE_DIR% -url %OAI_URL% -max_records %MAX_RECORDS% -metadata_prefix %OAI_PREFIX% %_CREATOR%

exit